Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticXPLookAndFeel

    java.lang.Object
      javax.swing.LookAndFeel
          javax.swing.plaf.basic.BasicLookAndFeel
              javax.swing.plaf.metal.MetalLookAndFeel
                  com.jgoodies.looks.plastic.PlasticLookAndFeel
                      com.jgoodies.looks.plastic.Plastic3DLookAndFeel
                          com.jgoodies.looks.plastic.PlasticXPLookAndFeel

All Implemented Interfaces:
  Serializable

    public class PlasticXPLookAndFeel

extends Plastic3DLookAndFeel

Intializes class and component defaults for the JGoodies PlasticXP look&feel.

Version:
  $Revision: 1.6 $
Author:
  Karsten Lentzsch
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jgoodies.looks.plastic.PlasticLookAndFeel
`BORDER_STYLE_KEY, DEFAULT_THEME_KEY, HIGH_CONTRAST_FOCUS_ENABLED_KEY, IS_3D_KEY, TAB_STYLE_DEFAULT_VALUE, TAB_STYLE_KEY, TAB_STYLE_METAL_VALUE, useHighContrastFocusColors`

Constructor Summary
`PlasticXPLookAndFeel()` Constructs the JGoodies PlasticXP look&feel.

Method Summary
`protected Insets` | `createButtonMargin()` Creates and returns the margin used by `JButton` and `JToggleButton`.
`String` | `getDescription()`
`String` | `getID()`
`String` | `getName()`
`protected void` | `initClassDefaults(UIDefaults table)` Initializes the PlasticXP class defaults.
`protected void` | `initComponentDefaults(UIDefaults table)` Initializes the PlasticXP component defaults.
`protected static void` | `installDefaultThemes()`

Methods inherited from class com.jgoodies.looks.plastic.Plastic3DLookAndFeel
`is3DEnabled`

Methods inherited from class com.jgoodies.looks.plastic.PlasticLookAndFeel
`createMyDefaultTheme, createTheme, getControl, getControlDarkShadow, getControlHighlight, getFocusColor, getFontPolicy, getHighContrastFocusColorsEnabled, getInstalledThemes, getInternalFrameBorder, getMenuItemBackground, getMenuItemSelectedBackground, getMenuItemSelectedForeground, getMyCurrentTheme, getPaletteBorder, getPlasticTheme, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getTabStyle, getTitleTextColor, getTitleTextFont, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground, initialize, initSystemColorDefaults, installTheme, set3DEnabled, setFontPolicy, setHighContrastFocusColorsEnabled, setMyCurrentTheme, setPlasticTheme, setTabStyle, uninitialize`

Methods inherited from class javax.swing.plaf.metal.MetalLookAndFeel
`createDefaultTheme, getAcceleratorForeground, getAcceleratorSelectedForeground, getBlack, getControlDisabled, getControlInfo, getControlShadow, getControlTextColor, getControlTextFont, getCurrentTheme, getDefaults, getDesktopColor, getDisabledIcon, getDisabledSelectedIcon, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getMenuTextFont, getSeparatorBackground, getSeparatorForeground, getSubTextFont, getSupportsWindowDecorations, getSystemTextColor, getSystemTextFont, getTextHighlightColor, getUserTextColor, getUserTextFont, getWhite, getWindowBackground, getWindowTitleFont, isNativeLookAndFeel, isSupportedLookAndFeel, provideErrorFeedback, setCurrentTheme`

Methods inherited from class javax.swing.plaf.basic.BasicLookAndFeel
`createAudioAction, getAudioActionMap, loadSystemColors, playSound`

Methods inherited from class javax.swing.LookAndFeel
`getDesktopPropertyValue, installBorder, installColors, installColorsAndFont, installProperty, loadKeyBindings, makeComponentInputMap, makeIcon, makeInputMap, makeKeyBindings, toString, uninstallBorder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlasticXPLookAndFeel

    public PlasticXPLookAndFeel()

  Constructs the JGoodies PlasticXP look&feel.

Method Detail

### getID

    public String getID()

  Overrides:
    `getID` in class `Plastic3DLookAndFeel`

### getName

    public String getName()

  Overrides:
    `getName` in class `Plastic3DLookAndFeel`

### getDescription

    public String getDescription()

  Overrides:
    `getDescription` in class `Plastic3DLookAndFeel`

### initClassDefaults

    protected void initClassDefaults(UIDefaults table)

  Initializes the PlasticXP class defaults. Overrides the UIS for check box, radio button, and spinner.

  Overrides:
    `initClassDefaults` in class `PlasticLookAndFeel`
  Parameters:
    `table` - the UIDefaults table to work with
  See Also:
    `BasicLookAndFeel.getDefaults()`

### initComponentDefaults

    protected void initComponentDefaults(UIDefaults table)

  Initializes the PlasticXP component defaults.

  Overrides:
    `initComponentDefaults` in class `Plastic3DLookAndFeel`
  Parameters:
    `table` - the UIDefaults table to work with

### installDefaultThemes

    protected static void installDefaultThemes()

### createButtonMargin

    protected Insets createButtonMargin()

  Creates and returns the margin used by `JButton` and `JToggleButton`. Honors the screen resolution and the global `Options.getUseNarrowButtons()` property.

  Sun's L&F implementations use wide button margins.

  Overrides:
    `createButtonMargin` in class `PlasticLookAndFeel`
  Returns:
    an Insets object that describes the button margin
  See Also:
    `Options.getUseNarrowButtons()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 JGoodies Karsten Lentzsch. All Rights Reserved.